> For the complete documentation index, see [llms.txt](https://docs.bounce.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bounce.finance/bounce-nft/nft-issuance/nft-standard-api-document.md).

# NFT standard API document

## Main

### Get all NFT assets

Get all NFT assets by **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/main/nft>
* Param:\
  &#x20;    `{`\
  &#x20;        `user_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"nfts1155": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 10525,    # primary key in mysql`\
  &#x20;                    `"contract_addr": "0x060Dd632f7Dd45cb97A86376863D623d6756e848",`\
  &#x20;                    `"token_type": "1155",`\
  &#x20;                    `"token_id": "9400",`\
  &#x20;                    `"owner_addr": "0xC0c648e8a51Fa89141b2ff297C8cD3270ab93576",`\
  &#x20;                    `"balance": "0",`\
  &#x20;                    `"token_uri": "",`\
  &#x20;                    `"name": null, # if metadata formate comform to the Ethereum Improvement Proposals,it will have data.`\
  &#x20;                    `"description": null, # if metadata formate comform to the Ethereum Improvement Proposals,it will have data.`\
  &#x20;                    `"image": null, # if metadata formate comform to the Ethereum Improvement Proposals,it will have data.`\
  &#x20;                    `"metadata": null # if metadata formate don't comform to the Ethereum Improvement Proposals,it will be data of token uri.`\
  &#x20;                `}`\
  &#x20;            `],`\
  &#x20;            `"nfts721": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 30,`\
  &#x20;                    `"contract_addr": "0xc014B45D680B5a4bf51cCdA778A68d5251C14b5E",`\
  &#x20;                    `"token_type": "721",`\
  &#x20;                    `"token_id": "478",`\
  &#x20;                    `"owner_addr": "0x58e6e6e16a8fd619b6de1da4f614dfb31dcc07b2",`\
  &#x20;                    `"balance": "1",`\
  &#x20;                    `"token_uri": "ipfs://ipfs/QmS3hmJqpHpvnCocqv9FTZbcSGDnvuFv4qWY3qnwkMpB9x",`\
  &#x20;                    `"name": null,`\
  &#x20;                    `"description": null,`\
  &#x20;                    `"image": null,`\
  &#x20;                    `"metadata": {`\
  &#x20;                        `"image": "https://d3ggs2vjn5heyw.cloudfront.net/images/Green.png",`\
  &#x20;                        `"name": "Frosty snowflakes"`\
  &#x20;                    `}`\
  &#x20;                `}`\
  &#x20;            `]`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/main/nft?user\\_address=0xC0c648e8a51Fa89141b2ff297C8cD3270ab93576>

### Get 721 NFT assets

Get 721 NFT assets by **contract address** and **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/main/erc721>
* Param:\
  &#x20;    `{`\
  &#x20;        `user_address:"",`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;      `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"balance": 6,`\
  &#x20;            `"tokens": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 30,`\
  &#x20;                    `"contract_addr": "0xc014B45D680B5a4bf51cCdA778A68d5251C14b5E",`\
  &#x20;                    `"token_id": "478",`\
  &#x20;                    `"owner_addr": "0x58e6e6e16a8fd619b6de1da4f614dfb31dcc07b2",`\
  &#x20;                    `"token_uri": "ipfs://ipfs/QmS3hmJqpHpvnCocqv9FTZbcSGDnvuFv4qWY3qnwkMpB9x"`\
  &#x20;                `}`\
  &#x20;            `]`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/main/erc721?user\\_address=0x58e6e6e16a8fd619b6de1da4f614dfb31dcc07b2\\&contract\\_address=0xc014B45D680B5a4bf51cCdA778A68d5251C14b5E>

### Get 1155 nft assets

Get 1155 nft assets by **contract address** and **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/main/erc1155>
* Param:\
  &#x20;    `{`\
  &#x20;        `user_address:"",`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"tokens": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 40,`\
  &#x20;                    `"contract_addr": "0x060Dd632f7Dd45cb97A86376863D623d6756e848",`\
  &#x20;                    `"token_id": "24020",`\
  &#x20;                    `"owner_addr": "0x7E9DB30F47c60F4A885803ED1F222302Eb77b443",`\
  &#x20;                    `"balance": "1",`\
  &#x20;                    `"token_uri": ""`\
  &#x20;                `},`\
  &#x20;                `{`\
  &#x20;                    `"id": 38,`\
  &#x20;                    `"contract_addr": "0x060Dd632f7Dd45cb97A86376863D623d6756e848",`\
  &#x20;                    `"token_id": "31141",`\
  &#x20;                    `"owner_addr": "0x7E9DB30F47c60F4A885803ED1F222302Eb77b443",`\
  &#x20;                    `"balance": "1",`\
  &#x20;                    `"token_uri": ""`\
  &#x20;                `}`\
  &#x20;            `]`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/main/erc1155?user\\_address=0x7E9DB30F47c60F4A885803ED1F222302Eb77b443\\&contract\\_address=0x060Dd632f7Dd45cb97A86376863D623d6756e848>

### Get 721 contract metadata

Get 721 contract metadata by **contract address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/main/metadata/erc721>
* Param:\
  &#x20;    `{`\
  &#x20;        `limit:0,`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"1": {`\
  &#x20;                `"description": "An irreplaceable girl.",`\
  &#x20;                `"image": "https://shalomhu.github.io/bounce/NFT/images/img_01.jpg",`\
  &#x20;                `"name": "Cindy Yi"`\
  &#x20;            `},`\
  &#x20;            `"2": {`\
  &#x20;                `"description": "An irreplaceable girl.",`\
  &#x20;                `"image": "https://shalomhu.github.io/bounce/NFT/images/img_01.jpg",`\
  &#x20;                `"name": "Cindy Yi"`\
  &#x20;            `}`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  &#x20;   \
  Example:\
  <https://nftview.bounce.finance/v2/main/metadata/erc721?limit=0\\&contract\\_address=0xf6C3Aa70f29B64BA74dd6Abe6728cf8e190011b5>

### Get 1155 contract metadata

Get 1155 nft assets by **contract address** and **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/main/metadata/erc1155>
* Param:\
  &#x20;    `{`\
  &#x20;        `limit:0,`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"1": {`\
  &#x20;                `"description": "Binance Dancing Man is a happy NFT designed and created by the Frontier team and minted by the Bounce Finance team in accordance with their proposed Binance Smart Chain NFT standards. This NFT represents happiness, dancing, and never-ending energy.",`\
  &#x20;                `"image": "https://raw.githubusercontent.com/superzitao/NFT/main/18-prod_1.gif",`\
  &#x20;                `"name": "Binance x Frontier Dancing Man"`\
  &#x20;            `}`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  &#x20;       \
  Example:\
  <https://nftview.bounce.finance/v2/main/metadata/erc1155?limit=0\\&contract\\_address=0x0111463A17C8E8331C245326D821a04862738362>

### Get contract token id list

Get contract token id list by **contract address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/main/contract>
* Param:\
  &#x20;    `{`\
  &#x20;        `nft_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;`{`\
  &#x20;    `"code": 200,`\
  &#x20;    `"data": {`\
  &#x20;        `"tokens": [`\
  &#x20;            `{`\
  &#x20;                `"contract_addr": "0x217C0bda1b20Aa4860ef78519AD684DA97B7f449",`\
  &#x20;                `"token_id": "1",`\
  &#x20;                `"owner_addr": "0x7a1ba322a280f4862bfa155da2ad56673cb5f8b2",`\
  &#x20;                `"balance": "1"`\
  &#x20;            `},`\
  &#x20;            `...`\
  &#x20;        `]`\
  &#x20;    `},`\
  &#x20;    `"msg": "ok"`\
  &#x20;`}`\
  \
  &#x20;Example:\
  &#x20;      <https://nftview.bounce.finance/v2/main/contract?nft\\_address=0x217C0bda1b20Aa4860ef78519AD684DA97B7f449>

## BSC

### Get all nft assets

Get all nft assets by **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/bsc/nft>
* Param:\
  &#x20;    `{`\
  &#x20;        `user_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"nfts1155": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 10525,`\
  &#x20;                    `"contract_addr": "0x060Dd632f7Dd45cb97A86376863D623d6756e848",`\
  &#x20;                    `"token_type": "1155",`\
  &#x20;                    `"token_id": "9400",`\
  &#x20;                    `"owner_addr": "0xC0c648e8a51Fa89141b2ff297C8cD3270ab93576",`\
  &#x20;                    `"balance": "0",`\
  &#x20;                    `"token_uri": "",`\
  &#x20;                    `"name": null,`\
  &#x20;                    `"description": null,`\
  &#x20;                    `"image": null,`\
  &#x20;                    `"metadata": null`\
  &#x20;                `}`\
  &#x20;            `],`\
  &#x20;            `"nfts721": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 30,`\
  &#x20;                    `"contract_addr": "0xc014B45D680B5a4bf51cCdA778A68d5251C14b5E",`\
  &#x20;                    `"token_type": "721",`\
  &#x20;                    `"token_id": "478",`\
  &#x20;                    `"owner_addr": "0x58e6e6e16a8fd619b6de1da4f614dfb31dcc07b2",`\
  &#x20;                    `"balance": "1",`\
  &#x20;                    `"token_uri": "ipfs://ipfs/QmS3hmJqpHpvnCocqv9FTZbcSGDnvuFv4qWY3qnwkMpB9x",`\
  &#x20;                    `"name": null,`\
  &#x20;                    `"description": null,`\
  &#x20;                    `"image": null,`\
  &#x20;                    `"metadata": {`\
  &#x20;                        `"image": "https://d3ggs2vjn5heyw.cloudfront.net/images/Green.png",`\
  &#x20;                        `"name": "Frosty snowflakes"`\
  &#x20;                    `}`\
  &#x20;                `}`\
  &#x20;            `]`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/bsc/nft?user\\_address=0xC0c648e8a51Fa89141b2ff297C8cD3270ab93576>

### Get 721 nft assets

Get 721 nft assets by **contract address** and **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/bsc/erc721>
* Param:\
  &#x20;    `{`\
  &#x20;        `user_address:"",`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;      `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"balance": 6,`\
  &#x20;            `"tokens": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 30,`\
  &#x20;                    `"contract_addr": "0xc014B45D680B5a4bf51cCdA778A68d5251C14b5E",`\
  &#x20;                    `"token_id": "478",`\
  &#x20;                    `"owner_addr": "0x58e6e6e16a8fd619b6de1da4f614dfb31dcc07b2",`\
  &#x20;                    `"token_uri": "ipfs://ipfs/QmS3hmJqpHpvnCocqv9FTZbcSGDnvuFv4qWY3qnwkMpB9x"`\
  &#x20;                `}`\
  &#x20;            `]`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/bsc/erc721?user\\_address=0x58e6e6e16a8fd619b6de1da4f614dfb31dcc07b2\\&contract\\_address=0xc014B45D680B5a4bf51cCdA778A68d5251C14b5E>

### Get 1155 nft assets

Get 1155 nft assets by **contract address** and **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/bsc/erc1155>
* Param:\
  &#x20;    `{`\
  &#x20;        `user_address:"",`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`<br>
* &#x20;Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"tokens": [`\
  &#x20;                `{`\
  &#x20;                    `"id": 40,`\
  &#x20;                    `"contract_addr": "0x060Dd632f7Dd45cb97A86376863D623d6756e848",`\
  &#x20;                    `"token_id": "24020",`\
  &#x20;                    `"owner_addr": "0x7E9DB30F47c60F4A885803ED1F222302Eb77b443",`\
  &#x20;                    `"balance": "1",`\
  &#x20;                    `"token_uri": ""`\
  &#x20;                `},`\
  &#x20;                `{`\
  &#x20;                    `"id": 38,`\
  &#x20;                    `"contract_addr": "0x060Dd632f7Dd45cb97A86376863D623d6756e848",`\
  &#x20;                    `"token_id": "31141",`\
  &#x20;                    `"owner_addr": "0x7E9DB30F47c60F4A885803ED1F222302Eb77b443",`\
  &#x20;                    `"balance": "1",`\
  &#x20;                    `"token_uri": ""`\
  &#x20;                `}`\
  &#x20;            `]`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/bsc/erc1155?user\\_address=0x7E9DB30F47c60F4A885803ED1F222302Eb77b443\\&contract\\_address=0x060Dd632f7Dd45cb97A86376863D623d6756e848>

### Get 721 contract metadata

Get 721 contract metadata by **contract address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/bsc/metadata/erc721>
* Param:\
  &#x20;    `{`\
  &#x20;        `limit:0,`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"1": {`\
  &#x20;                `"description": "An irreplaceable girl.",`\
  &#x20;                `"image": "https://shalomhu.github.io/bounce/NFT/images/img_01.jpg",`\
  &#x20;                `"name": "Cindy Yi"`\
  &#x20;            `},`\
  &#x20;            `"2": {`\
  &#x20;                `"description": "An irreplaceable girl.",`\
  &#x20;                `"image": "https://shalomhu.github.io/bounce/NFT/images/img_01.jpg",`\
  &#x20;                `"name": "Cindy Yi"`\
  &#x20;            `}`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  &#x20;   \
  Example:\
  <https://nftview.bounce.finance/v2/bsc/metadata/erc721?limit=0\\&contract\\_address=0xf6C3Aa70f29B64BA74dd6Abe6728cf8e190011b5>

### Get 1155 contract metadata

Get 1155 nft assets by **contract address** and **user address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/bsc/metadata/erc1155>
* Param:\
  &#x20;    `{`\
  &#x20;        `limit:0,`\
  &#x20;        `contract_address:""`\
  &#x20;    `}`\
  &#x20;
* Return Data:\
  &#x20;    `{`\
  &#x20;        `"code": 200,`\
  &#x20;        `"data": {`\
  &#x20;            `"1": {`\
  &#x20;                `"description": "Binance Dancing Man is a happy NFT designed and created by the Frontier team and minted by the Bounce Finance team in accordance with their proposed Binance Smart Chain NFT standards. This NFT represents happiness, dancing, and never-ending energy.",`\
  &#x20;                `"image": "https://raw.githubusercontent.com/superzitao/NFT/main/18-prod_1.gif",`\
  &#x20;                `"name": "Binance x Frontier Dancing Man"`\
  &#x20;            `}`\
  &#x20;        `},`\
  &#x20;        `"msg": "ok"`\
  &#x20;    `}`\
  &#x20;       \
  Example:\
  <https://nftview.bounce.finance/v2/bsc/metadata/erc1155?limit=0\\&contract\\_address=0x0111463A17C8E8331C245326D821a04862738362>

### Get contract data for testing

Get contract data by **contract address**

* http method: GET
* URL: <https://nftview.bounce.finance/v2/bsc/contract>
* Param:\
  &#x20;    `{`\
  &#x20;        `nft_address:""`\
  &#x20;    `}`<br>
* &#x20;Return Data:\
  &#x20;`{`\
  &#x20;    `"code": 200,`\
  &#x20;    `"data": {`\
  &#x20;        `"tokens": [`\
  &#x20;            `{`\
  &#x20;                `"contract_addr": "0x217C0bda1b20Aa4860ef78519AD684DA97B7f449",`\
  &#x20;                `"token_id": "1",`\
  &#x20;                `"owner_addr": "0x7a1ba322a280f4862bfa155da2ad56673cb5f8b2",`\
  &#x20;                `"balance": "1"`\
  &#x20;            `},`\
  &#x20;            `...`\
  &#x20;        `]`\
  &#x20;    `},`\
  &#x20;    `"msg": "ok"`\
  &#x20;`}`\
  \
  Example:\
  <https://nftview.bounce.finance/v2/bsc/contract?nft\\_address=0x217C0bda1b20Aa4860ef78519AD684DA97B7f449>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bounce.finance/bounce-nft/nft-issuance/nft-standard-api-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
